//--------------------------------------------------------------------------
//This shader file contains shaders that are named after original q3-shaders
//to work with this mappack in Nexuiz 
//--------------------------------------------------------------------------

//this shader is used for map: batcula
//shader for the grate taken from textures/ame7q3dm3_egypt/grate1a
//and renamed to work with the map

textures/base_floor/proto_rustygrate2
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/ame7q3dm3_egypt/grate1a.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


//this shader is used for map: ame7q3dm3 and cttourney1
//shader taken from textures/liquids/dsiwater_ripple
//and renamed to work for the maps


textures/liquids/clear_calm1
	{
		qer_editorimage textures/liquids/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

//this shader is used for map: storm3dm3
//shader taken from textures/stralenex1/stralenex5_water
//and renamed to work for the maps

textures/sfx/proto_zzztblu3
{ 
	qer_editorimage textures/stralenex1/stralenex5_water.tga
      qer_trans 0.5
	
	surfaceparm trans
	surfaceparm nonsolid
      surfaceparm water
	
	deformVertexes wave 150.0 sin 2 5 0.25 0.1
	Q3map_TessSize 128
	cull none

      {
		map textures/stralenex1/stralenex5_water.tga
            blendFunc add
            rgbGen identity
	}
}

//this shader is used for map: acid3dm3
//shader taken from textures/liquids/dsiwater_ripple
//and renamed to work for the maps


textures/liquids/clear_ripple1_q3dm1
	{
		qer_editorimage textures/liquids/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}